require "behaviours/standandattack"
require "behaviours/faceentity"

local START_FACE_DIST = 10
local KEEP_FACE_DIST = 15

local Suofeiya_yezi_brain = Class(Brain, function(self, inst)
    Brain._ctor(self, inst)
end)

function Suofeiya_yezi_brain:OnStart()
    local root = PriorityNode(
    {
        StandAndAttack(self.inst),
    }, .25)

    self.bt = BT(self.inst, root)
end

return Suofeiya_yezi_brain
